package com.arms.api.analysis.scope.vo;

import lombok.*;

import java.util.List;

@AllArgsConstructor
@NoArgsConstructor
@Builder
@Getter
public class ReqStatusesByVersionWithAssigneeVO {

    private List<Long> pdServiceVersionLinks; //pdServiceVersions

    private String issueKey;   //이슈키

    private String statusName; //이슈상태

    @Builder.Default
    private int numOfWorkers = 1; //기본값
}
