package com.arms.api.issue.schedule.service.jiraissue_schedule.alm_entity_sync;

import com.arms.api.issue.almapi.model.entity.AlmIssueEntity;

import java.time.LocalDate;
import java.time.format.DateTimeFormatter;

public class 지라이슈_삭제처리 {

    public static AlmIssueEntity 지라이슈_삭제_적용(AlmIssueEntity 지라이슈_엔티티값){

        String 삭제일자 = LocalDate.now()
                                    .minusDays(1)
                                    .format(DateTimeFormatter.ofPattern("yyyy-MM-dd"));

        if (지라이슈_엔티티값 != null && 지라이슈_엔티티값.izNotEmpty()) {

            AlmIssueEntity.삭제 삭제데이터 = 지라이슈_엔티티값.getDeleted();
            if (삭제데이터 == null) {
                삭제데이터 = new AlmIssueEntity.삭제();
            }

            if (삭제데이터.getIsDeleted() == null || 삭제데이터.getIsDeleted()) {
                삭제데이터.setDeleted_date(삭제일자);
                삭제데이터.setIsDeleted(true);
                지라이슈_엔티티값.setDeleted(삭제데이터);
            }
        }

        return 지라이슈_엔티티값;

    }
}
