package com.arms.api.issue.almapi.model.vo;

import com.arms.api.issue.almapi.model.dto.요구사항_데이터;
import com.arms.api.issue.almapi.model.dto.지라이슈필드_데이터;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.*;

@Getter
@Setter
@Builder
@ToString
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class 지라이슈_데이터 {

    private String id;
    private String key;

    private String upperKey;

    private String self;
    private 지라이슈필드_데이터 fields;

    private Long 서버아이디;

    private String rawData;

    public String 조회조건_아이디(요구사항_데이터 요구사항_데이터){
        return 요구사항_데이터.get지라서버_아이디()+"_"+this.fields.getProject().getKey()+"_"+this.key;
    }

    public String 조회조건_아이디(){
        return this.서버아이디+"_"+this.fields.getProject().getKey()+"_"+this.key;
    }

    public String projectKey(){
        return fields.getProject().getKey();
    }

    public boolean ALM_프로젝트_변경했다면(요구사항_데이터 요구사항_데이터){
        if(!this.조회조건_아이디().equals(요구사항_데이터.조회조건_아이디())){
            return true;
        }

        return false;
    }



}
