package com.arms.api.report.service;

import com.arms.api.report.model.AssigneeIssueCountVO;
import com.arms.api.report.model.FullDataRequestDTO;
import com.arms.api.report.model.FullDataResponseDTO;
import com.arms.api.report.model.작업자_정보;
import com.arms.egovframework.javaservice.esframework.model.vo.v2.DocumentBucket;
import com.arms.egovframework.javaservice.esframework.model.vo.버킷_집계_결과;
import com.arms.egovframework.javaservice.esframework.model.vo.버킷_집계_결과_목록_합계;

import java.util.List;

public interface 리포트_서비스 {

    List<작업자_정보> 작업자_목록_가져오기();

    FullDataResponseDTO 이슈_목록_가져오기(FullDataRequestDTO fullDataRequestDTO);

    FullDataResponseDTO 이슈_목록_가져오기_스크롤API(FullDataRequestDTO fullDataRequestDTO);

    FullDataResponseDTO getReqIssueList(FullDataRequestDTO fullDataRequestDTO);
    AssigneeIssueCountVO getAssigneeAggregationList(FullDataRequestDTO fullDataRequestDTO);
}
